Package org.apache.sysds.runtime.controlprogram.federated.monitoring.models

## Class RequestModel

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.federated.monitoring.models.BaseModel
  - - org.apache.sysds.runtime.controlprogram.federated.monitoring.models.CoordinatorConnectionModel
    - - org.apache.sysds.runtime.controlprogram.federated.monitoring.models.RequestModel

All Implemented Interfaces:
  `Serializable`

    public class RequestModel
    extends CoordinatorConnectionModel

See Also:
  Serialized Form

### Field Summary

Fields
`Long` `count`
`String` `type`
`Long` `workerId`

### Fields inherited from class org.apache.sysds.runtime.controlprogram.federated.monitoring.models.CoordinatorConnectionModel

`coordinatorId`

### Fields inherited from class org.apache.sysds.runtime.controlprogram.federated.monitoring.models.BaseModel

`id`

### Constructor Summary

Constructors
`RequestModel()`
`RequestModel​(Long id, String type, Long count)`
`RequestModel​(String type, Long count)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class org.apache.sysds.runtime.controlprogram.federated.monitoring.models.CoordinatorConnectionModel

`getCoordinatorHostId, setCoordinatorHostId`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### workerId

    public Long workerId

#### type

    public String type

#### count

    public Long count

### Constructor Detail

#### RequestModel

    public RequestModel()

#### RequestModel

    public RequestModel​(String type,
                        Long count)

#### RequestModel

    public RequestModel​(Long id,
                        String type,
                        Long count)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`